Update a deployed contract for NFT products

Updates a contract which has been previously deployed with Deploy a contract for NFT products. You can freeze the metadata of the NFTs minted in the specified contract which means they can not be updated after minting (token URIs are frozen on the contract level).

Useful for:

  • Creating dynamic NFTs (NFTs that change after minting based on events) and freezing them afterwards.
  • Revealing NFTs after a drop and freezing them afterwards.

Related:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

Blockchain where the contract was deployed to.

Allowed:
string
required

Address of the NFT contract.

boolean

If true, freezes all token URIs inside the specified contract.

string

Metadata base URI for tokens. Can only be changed if you deployed your contract with metadata_updatable as true and metadata hasn’t been frozen. If tokens are frozen separately in Update a minted NFT the base_uri can still be updated.

integer
0 to 10000

Secondary market royalty rate in basis points (100 bps = 1%). This value cannot exceed 10,000 bps.

string

Address for royalties.

roles
array of objects

List of granular permissions for different wallet addresses set on the contract level. owner_address has all of the permissions. Only the specified roles are updated and to remove all the roles from a wallet address, the addresses list for that role must be an empty.

Roles
boolean

Revoke NFTPort permissions from this contract. Default is false

number

Optional maximum transaction fee, in USD. Setting this parameter means you may be billed for up to max_transaction_fee for this request, while making the transaction more likely to succeed when there is a lot of activity (high gas prices) on the chain. If specified, must be higher than the list price for this transaction. Only available to Enterprise clients on the Ethereum chain.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json